Skip to main content
List Message Threads
curl --request GET \
  --url https://{api_endpoint}/v1/threads \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{api_endpoint}/v1/threads"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{api_endpoint}/v1/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenant_id": "<string>",
      "created_by": "<string>",
      "deleted_at": "2023-11-07T05:31:56Z",
      "status": "ready",
      "tenant_name": "<string>",
      "title": "<string>",
      "assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_by_username": "<string>",
      "created_on": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_by": "<string>",
      "last_read_at": "2023-11-07T05:31:56Z",
      "last_agent_message_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer | null

Limit the number of results returned

Required range: x >= 1
offset
integer | null

Skip the first N results

Required range: x >= 0
agent_id
string | null

Filter threads by agent ID

Response

Successful Response

data
Thread · object[]
required
total
integer
required
limit
integer
required
offset
integer
required